petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscObjectPrependOptionsPrefix

Sets the prefix used for searching for all options of PetscObjectType in the database.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectPrependOptionsPrefix(PetscObject obj,const char prefix[])

### Input Parameters

| obj | - any PETSc object, for example a Vec, Mat or KSP.
| prefix | - the prefix string to prepend to option requests of the object.

### Notes

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

### See Also

PetscOptionsCreate(), PetscOptionsDestroy(), PetscObjectSetOptionsPrefix(), PetscObjectAppendOptionsPrefix(),
PetscObjectGetOptionsPrefix(), TSPrependOptionsPrefix(), SNESPrependOptionsPrefix(), KSPPrependOptionsPrefix()

### Level

advanced

### Location

src/sys/objects/prefix.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages